﻿using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {                   
        public Form1()
        {
            InitializeComponent();
            toolTip1.ToolTipTitle = "Proba";
            toolTip1.UseFading = true;
            toolTip1.AutomaticDelay = 2000;      
        }
     
        private void ultraToolbarsManager1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            ToolbarUIElement el = e.Element as ToolbarUIElement;
            if (e.Element == ultraToolbarsManager1.Toolbars[0].UIElement)
            {
                if (el != null)
                {
                    Point location = new Point(el.Rect.Width, el.Rect.Height + 30);
                    toolTip1.ToolTipTitle = "Title";
                    toolTip1.UseFading = true;
                    toolTip1.AutomaticDelay = 2000;
                    toolTip1.Show("Proba",this, location);
                }
            }
        }

        private void ultraToolbarsManager1_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            toolTip1.Hide(this);
        }

    }

   

}
